!
! MMK/MMS description file for LISTEN programs
!
.IFDEF DEBUG
CFLAGS = $(CFLAGS)/NOOPT/DEBUG
LINKFLAGS = $(LINKFLAGS)/DEBUG
.ENDIF

.IFDEF MMSVAX
OPT = ,VAXCRTL.OPT/OPTIONS
OPT = ,[]LISTEN_VAX.OPT/OPTIONS
XCFLAGS = $(CFLAGS)
BIN = []
.IF "$(IP_NAMES)" NEQ "1"
OPT = ,[]LISTEN_VAX.OPT/OPTIONS
.ENDIF
.ELSE
OPT = ,[]LISTEN.OPT/OPTIONS
XCFLAGS = $(CFLAGS)/PREFIX=ALL
BIN = []
.ENDIF

.IFDEF IP_NAMES
XCFLAGS = $(XCFLAGS)/DEFINE=IP_NAMES=$(IP_NAMES)
.ELSE
IP_NAMES = 0
.ENDIF

! the default target 
default : $(BIN)LISTEN2.EXE $(BIN)LIST_LISTEN_TABLE.EXE $(BIN)REPORT_LISTEN_TABLE.EXE $(BIN)PURGE_LISTEN_TABLE.EXE
        $
! build all 
all : $(BIN)LISTEN.EXE $(BIN)LISTEN_SYSID.EXE $(BIN)REPORT_LISTEN_TABLE.EXE $(BIN)LIST_LISTEN_TABLE.EXE  $(BIN)LISTEN2.EXE $(BIN)PURGE_LISTEN_TABLE.EXE
        $

! SYSID LISTENER program
OBJS = $(BIN)LISTEN_SYSID.OBJ,$(BIN)FORMAT_SYSID.OBJ,$(BIN)LISTEN_TABLE.OBJ,$(BIN)LISTEN_SUBS.OBJ

$(BIN)LISTEN_SYSID.EXE : $(OBJS)
        $(LINK) $(LINKFLAGS) $(OBJS) $(OPT)

! LISTEN 
OBJS1 = $(BIN)LISTEN.OBJ,$(BIN)LISTEN_TABLE.OBJ,$(BIN)LISTEN_SUBS.OBJ,$(BIN)FORMAT_SYSID.OBJ,$(BIN)LISTEN_PROCESS.OBJ

$(BIN)LISTEN.EXE : $(OBJS1)
        $(LINK) $(LINKFLAGS) $(OBJS1) $(OPT)

! program to list the LISTEN table file
OBJS2 = $(BIN)LIST_LISTEN_TABLE.OBJ,$(BIN)FORMAT_SYSID.OBJ,$(BIN)LISTEN_TABLE.OBJ,$(BIN)LISTEN_SUBS.OBJ
$(BIN)LIST_LISTEN_TABLE.EXE : $(OBJS2)
        $(LINK) $(LINKFLAGS) $(OBJS2) $(OPT)

! program to report the LISTEN table file
OBJS3 = $(BIN)REPORT_LISTEN_TABLE.OBJ,$(BIN)FORMAT_SYSID.OBJ,$(BIN)LISTEN_TABLE.OBJ,$(BIN)LISTEN_SUBS.OBJ
$(BIN)REPORT_LISTEN_TABLE.EXE : $(OBJS3)
        $(LINK) $(LINKFLAGS) $(OBJS3) $(OPT)

OBJS4 = $(BIN)LISTEN2.OBJ,$(BIN)LISTEN_TABLE.OBJ,$(BIN)LISTEN_SUBS.OBJ,$(BIN)FORMAT_SYSID.OBJ,$(BIN)LISTEN_PROCESS.OBJ
! promiscuous mode listener
$(BIN)LISTEN2.EXE : $(OBJS4)
        $(LINK) $(LINKFLAGS) $(OBJS4) $(OPT)

! MOP SYSID only listener
$(BIN)LISTEN_SYSID.OBJ : LISTEN_SYSID.C LISTEN_TABLE.H NMADEF.H LISTEN_SUBS.H ETHERNET.H SYSID.H


! program to purge the LISTEN table file
OBJS5 = $(BIN)PURGE_LISTEN_TABLE.OBJ,$(BIN)FORMAT_SYSID.OBJ,$(BIN)LISTEN_TABLE.OBJ,$(BIN)LISTEN_SUBS.OBJ
$(BIN)PURGE_LISTEN_TABLE.EXE : $(OBJS5)
        $(LINK) $(LINKFLAGS) $(OBJS5) $(OPT)

! 

$(BIN)LISTEN.OBJ : LISTEN.C ETHERNET.H SYSID.H LISTEN_TABLE.H NMADEF.H LISTEN_SUBS.H

$(BIN)LISTEN2.OBJ : LISTEN2.C ETHERNET.H SYSID.H LISTEN_TABLE.H NMADEF.H LISTEN_SUBS.H

$(BIN)FORMAT_SYSID.OBJ :      FORMAT_SYSID.C SYSID.H LISTEN_SUBS.H ETHERNET.H

$(BIN)LISTEN_TABLE.OBJ :      LISTEN_TABLE.C LISTEN_TABLE.H LISTEN_SUBS.H
    $(CC)$(XCFLAGS) $(MMS$SOURCE)

$(BIN)LIST_LISTEN_TABLE.OBJ : LIST_LISTEN_TABLE.C ETHERNET.H SYSID.H LISTEN_TABLE.H LISTEN_SUBS.H
$(BIN)REPORT_LISTEN_TABLE.OBJ : REPORT_LISTEN_TABLE.C ETHERNET.H SYSID.H LISTEN_TABLE.H LISTEN_SUBS.H
$(BIN)PURGE_LISTEN_TABLE.OBJ : PURGE_LISTEN_TABLE.C ETHERNET.H SYSID.H LISTEN_TABLE.H LISTEN_SUBS.H

$(BIN)LISTEN_SUBS.OBJ : LISTEN_SUBS.C LISTEN_SUBS.H MESSAGES.H LISTEN_TABLE.H
    $(CC)$(XCFLAGS) $(MMS$SOURCE)

$(BIN)LISTEN_PROCESS.OBJ : LISTEN_PROCESS.C ETHERNET.H MESSAGES.H SYSID.H LISTEN_TABLE.H LISTEN_SUBS.H
